
/* 
 * Copyright (c) 1993-2003 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef VIAM_SCAN_H
#define VIAM_SCAN_H


/* Structures definies par d'autres modules */

#include "server/tclservClient/pomTclservClientDecode.h"


/* Structures du module */
#include "server/viamPosterLib.h"

/* Prototypes */
#ifdef __cplusplus
extern "C" {
#endif
int scan_buf_struct_ViamIDS (char** buf, struct ViamIDS *x, int nDim, int *dims );
int scan_buf_struct_ViamImageBank (char** buf, struct ViamImageBank *x, int nDim, int *dims );
int scan_buf_struct_ViamImageHeader (char** buf, struct ViamImageHeader *x, int nDim, int *dims );
int scan_buf_struct_ViamSave (char** buf, struct ViamSave *x, int nDim, int *dims );
int scan_buf_struct_ViamDisplay (char** buf, struct ViamDisplay *x, int nDim, int *dims );
int scan_buf_struct_ViamCalibrationIO (char** buf, struct ViamCalibrationIO *x, int nDim, int *dims );
int scan_buf_struct_ViamCalibrate (char** buf, struct ViamCalibrate *x, int nDim, int *dims );
int scan_buf_struct_ViamUMiscFilter (char** buf, struct ViamUMiscFilter *x, int nDim, int *dims );
int scan_buf_struct_ViamMiscFilter (char** buf, struct ViamMiscFilter *x, int nDim, int *dims );
int scan_buf_enum_ViamMiscFilterType (char** buf, enum ViamMiscFilterType *x, int nDim, int *dims );
int scan_buf_struct_ViamUPxFilter (char** buf, struct ViamUPxFilter *x, int nDim, int *dims );
int scan_buf_struct_ViamPxFilter (char** buf, struct ViamPxFilter *x, int nDim, int *dims );
int scan_buf_enum_ViamPxFilterType (char** buf, enum ViamPxFilterType *x, int nDim, int *dims );
int scan_buf_struct_ViamUColorFilter (char** buf, struct ViamUColorFilter *x, int nDim, int *dims );
int scan_buf_struct_ViamColorFilter (char** buf, struct ViamColorFilter *x, int nDim, int *dims );
int scan_buf_enum_ViamColorFilterType (char** buf, enum ViamColorFilterType *x, int nDim, int *dims );
int scan_buf_struct_ViamULumFilter (char** buf, struct ViamULumFilter *x, int nDim, int *dims );
int scan_buf_struct_ViamLumFilter (char** buf, struct ViamLumFilter *x, int nDim, int *dims );
int scan_buf_enum_ViamLumFilterType (char** buf, enum ViamLumFilterType *x, int nDim, int *dims );
int scan_buf_struct_ViamUGeoFilter (char** buf, struct ViamUGeoFilter *x, int nDim, int *dims );
int scan_buf_struct_ViamGeoFilter (char** buf, struct ViamGeoFilter *x, int nDim, int *dims );
int scan_buf_enum_ViamGeoFilterType (char** buf, enum ViamGeoFilterType *x, int nDim, int *dims );
int scan_buf_struct_ViamUFmtFilter (char** buf, struct ViamUFmtFilter *x, int nDim, int *dims );
int scan_buf_struct_ViamFmtFilter (char** buf, struct ViamFmtFilter *x, int nDim, int *dims );
int scan_buf_enum_ViamFmtFilterType (char** buf, enum ViamFmtFilterType *x, int nDim, int *dims );
int scan_buf_struct_ViamFilterList (char** buf, struct ViamFilterList *x, int nDim, int *dims );
int scan_buf_struct_ViamFilterGetCap (char** buf, struct ViamFilterGetCap *x, int nDim, int *dims );
int scan_buf_struct_ViamFilterCap (char** buf, struct ViamFilterCap *x, int nDim, int *dims );
int scan_buf_struct_ViamAcquire (char** buf, struct ViamAcquire *x, int nDim, int *dims );
int scan_buf_struct_ViamHWMode (char** buf, struct ViamHWMode *x, int nDim, int *dims );
int scan_buf_struct_ViamHWModeList (char** buf, struct ViamHWModeList *x, int nDim, int *dims );
int scan_buf_struct_ViamHWModeListOffset (char** buf, struct ViamHWModeListOffset *x, int nDim, int *dims );
int scan_buf_struct_ViamBankAddCamera (char** buf, struct ViamBankAddCamera *x, int nDim, int *dims );
int scan_buf_struct_ViamCameraCreate (char** buf, struct ViamCameraCreate *x, int nDim, int *dims );
int scan_buf_struct_ViamBankCreate (char** buf, struct ViamBankCreate *x, int nDim, int *dims );
int scan_buf_enum_ViamImageUpdate (char** buf, enum ViamImageUpdate *x, int nDim, int *dims );
int scan_buf_enum_ViamActivate (char** buf, enum ViamActivate *x, int nDim, int *dims );
int scan_buf_enum_ViamIO (char** buf, enum ViamIO *x, int nDim, int *dims );
int scan_buf_struct_ViamId (char** buf, struct ViamId *x, int nDim, int *dims );
int scan_buf_struct_viam_bankcalibration_t (char** buf, struct viam_bankcalibration_t *x, int nDim, int *dims );
int scan_buf_struct_viam_cameracalibration_t (char** buf, struct viam_cameracalibration_t *x, int nDim, int *dims );
int scan_buf_enum_viam_distortionmodel_t (char** buf, enum viam_distortionmodel_t *x, int nDim, int *dims );
int scan_buf_enum_viam_caltype_t (char** buf, enum viam_caltype_t *x, int nDim, int *dims );
int scan_buf_struct_viam_geometry_t (char** buf, struct viam_geometry_t *x, int nDim, int *dims );
int scan_buf_enum_viam_filterautomode_t (char** buf, enum viam_filterautomode_t *x, int nDim, int *dims );
int scan_buf_enum_viam_filtermethod_t (char** buf, enum viam_filtermethod_t *x, int nDim, int *dims );
int scan_buf_enum_viam_valuekind_t (char** buf, enum viam_valuekind_t *x, int nDim, int *dims );
int scan_buf_enum_viam_filterformat_t (char** buf, enum viam_filterformat_t *x, int nDim, int *dims );
int scan_buf_enum_viam_filtertype_t (char** buf, enum viam_filtertype_t *x, int nDim, int *dims );
int scan_buf_struct_viam_hwmode_t (char** buf, struct viam_hwmode_t *x, int nDim, int *dims );
int scan_buf_enum_viam_hwtrigger_t (char** buf, enum viam_hwtrigger_t *x, int nDim, int *dims );
int scan_buf_enum_viam_hwfps_t (char** buf, enum viam_hwfps_t *x, int nDim, int *dims );
int scan_buf_enum_viam_hwformat_t (char** buf, enum viam_hwformat_t *x, int nDim, int *dims );
int scan_buf_enum_viam_hwsize_t (char** buf, enum viam_hwsize_t *x, int nDim, int *dims );
int scan_buf_enum_viam_hwcrop_t (char** buf, enum viam_hwcrop_t *x, int nDim, int *dims );
int scan_buf_enum_viam_errorcode_t (char** buf, enum viam_errorcode_t *x, int nDim, int *dims );
int scan_buf_enum_viam_onoff_t (char** buf, enum viam_onoff_t *x, int nDim, int *dims );

/* ======================== SCAN DES TYPEDEF ============================= */

int scan_buf_viam_onoff_t (char** buf, viam_onoff_t *x, int nDim, int *dims );
int scan_buf_viam_errorcode_t (char** buf, viam_errorcode_t *x, int nDim, int *dims );
int scan_buf_viam_hwcrop_t (char** buf, viam_hwcrop_t *x, int nDim, int *dims );
int scan_buf_viam_hwsize_t (char** buf, viam_hwsize_t *x, int nDim, int *dims );
int scan_buf_viam_hwformat_t (char** buf, viam_hwformat_t *x, int nDim, int *dims );
int scan_buf_viam_hwfps_t (char** buf, viam_hwfps_t *x, int nDim, int *dims );
int scan_buf_viam_hwtrigger_t (char** buf, viam_hwtrigger_t *x, int nDim, int *dims );
int scan_buf_viam_hwmode_t (char** buf, viam_hwmode_t *x, int nDim, int *dims );
int scan_buf_viam_filtertype_t (char** buf, viam_filtertype_t *x, int nDim, int *dims );
int scan_buf_viam_filterformat_t (char** buf, viam_filterformat_t *x, int nDim, int *dims );
int scan_buf_viam_valuekind_t (char** buf, viam_valuekind_t *x, int nDim, int *dims );
int scan_buf_viam_filtermethod_t (char** buf, viam_filtermethod_t *x, int nDim, int *dims );
int scan_buf_viam_filterautomode_t (char** buf, viam_filterautomode_t *x, int nDim, int *dims );
int scan_buf_viam_geometry_t (char** buf, viam_geometry_t *x, int nDim, int *dims );
int scan_buf_viam_caltype_t (char** buf, viam_caltype_t *x, int nDim, int *dims );
int scan_buf_viam_distortionmodel_t (char** buf, viam_distortionmodel_t *x, int nDim, int *dims );
int scan_buf_viam_cameracalibration_t (char** buf, viam_cameracalibration_t *x, int nDim, int *dims );
int scan_buf_viam_bankcalibration_t (char** buf, viam_bankcalibration_t *x, int nDim, int *dims );
int scan_buf_ViamId (char** buf, ViamId *x, int nDim, int *dims );
int scan_buf_ViamIO (char** buf, ViamIO *x, int nDim, int *dims );
int scan_buf_ViamActivate (char** buf, ViamActivate *x, int nDim, int *dims );
int scan_buf_ViamImageUpdate (char** buf, ViamImageUpdate *x, int nDim, int *dims );
int scan_buf_ViamBankCreate (char** buf, ViamBankCreate *x, int nDim, int *dims );
int scan_buf_ViamCameraCreate (char** buf, ViamCameraCreate *x, int nDim, int *dims );
int scan_buf_ViamBankAddCamera (char** buf, ViamBankAddCamera *x, int nDim, int *dims );
int scan_buf_ViamHWModeListOffset (char** buf, ViamHWModeListOffset *x, int nDim, int *dims );
int scan_buf_ViamHWModeList (char** buf, ViamHWModeList *x, int nDim, int *dims );
int scan_buf_ViamHWMode (char** buf, ViamHWMode *x, int nDim, int *dims );
int scan_buf_ViamAcquire (char** buf, ViamAcquire *x, int nDim, int *dims );
int scan_buf_ViamFilterCap (char** buf, ViamFilterCap *x, int nDim, int *dims );
int scan_buf_ViamFilterGetCap (char** buf, ViamFilterGetCap *x, int nDim, int *dims );
int scan_buf_ViamFilterList (char** buf, ViamFilterList *x, int nDim, int *dims );
int scan_buf_ViamFmtFilterType (char** buf, ViamFmtFilterType *x, int nDim, int *dims );
int scan_buf_ViamFmtFilter (char** buf, ViamFmtFilter *x, int nDim, int *dims );
int scan_buf_ViamUFmtFilter (char** buf, ViamUFmtFilter *x, int nDim, int *dims );
int scan_buf_ViamGeoFilterType (char** buf, ViamGeoFilterType *x, int nDim, int *dims );
int scan_buf_ViamGeoFilter (char** buf, ViamGeoFilter *x, int nDim, int *dims );
int scan_buf_ViamUGeoFilter (char** buf, ViamUGeoFilter *x, int nDim, int *dims );
int scan_buf_ViamLumFilterType (char** buf, ViamLumFilterType *x, int nDim, int *dims );
int scan_buf_ViamLumFilter (char** buf, ViamLumFilter *x, int nDim, int *dims );
int scan_buf_ViamULumFilter (char** buf, ViamULumFilter *x, int nDim, int *dims );
int scan_buf_ViamColorFilterType (char** buf, ViamColorFilterType *x, int nDim, int *dims );
int scan_buf_ViamColorFilter (char** buf, ViamColorFilter *x, int nDim, int *dims );
int scan_buf_ViamUColorFilter (char** buf, ViamUColorFilter *x, int nDim, int *dims );
int scan_buf_ViamPxFilterType (char** buf, ViamPxFilterType *x, int nDim, int *dims );
int scan_buf_ViamPxFilter (char** buf, ViamPxFilter *x, int nDim, int *dims );
int scan_buf_ViamUPxFilter (char** buf, ViamUPxFilter *x, int nDim, int *dims );
int scan_buf_ViamMiscFilterType (char** buf, ViamMiscFilterType *x, int nDim, int *dims );
int scan_buf_ViamMiscFilter (char** buf, ViamMiscFilter *x, int nDim, int *dims );
int scan_buf_ViamUMiscFilter (char** buf, ViamUMiscFilter *x, int nDim, int *dims );
int scan_buf_ViamCalibrate (char** buf, ViamCalibrate *x, int nDim, int *dims );
int scan_buf_ViamCalibrationIO (char** buf, ViamCalibrationIO *x, int nDim, int *dims );
int scan_buf_ViamDisplay (char** buf, ViamDisplay *x, int nDim, int *dims );
int scan_buf_ViamSave (char** buf, ViamSave *x, int nDim, int *dims );
int scan_buf_ViamImageHeader (char** buf, ViamImageHeader *x, int nDim, int *dims );
int scan_buf_ViamImageBank (char** buf, ViamImageBank *x, int nDim, int *dims );
int scan_buf_ViamIDS (char** buf, ViamIDS *x, int nDim, int *dims );
#ifdef __cplusplus
}
#endif

#endif /* VIAM_SCAN_H */

