
/* 
 * Copyright (c) 1993-2005 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/


#ifndef viam_ERROR_H
#define viam_ERROR_H

#include "h2errorLib.h"
#include "genom/genomError.h"

#define M_viam    (7119)

/* -- MODULES ERRORS -------------------------------------------------- */

/* demo errors */
#define S_viam_UNSUPPORTED_HWMODE   H2_ENCODE_ERR(M_viam      , 1)
#define S_viam_NO_SUCH_FILTER       H2_ENCODE_ERR(M_viam      , 2)
#define S_viam_NOT_IMPLEMENTED      H2_ENCODE_ERR(M_viam      , 3)
#define S_viam_INVALID_VALUE        H2_ENCODE_ERR(M_viam      , 4)
#define S_viam_NO_SUCH_IMAGE        H2_ENCODE_ERR(M_viam      , 5)
#define S_viam_NO_SUCH_CAMERA       H2_ENCODE_ERR(M_viam      , 6)
#define S_viam_NO_SUCH_BANK         H2_ENCODE_ERR(M_viam      , 7)
#define S_viam_BAD_ID               H2_ENCODE_ERR(M_viam      , 8)
#define S_viam_MEMORY               H2_ENCODE_ERR(M_viam      , 9)
#define S_viam_MODULE_RUNNING       H2_ENCODE_ERR(M_viam      , 10)
#define S_viam_DUPLICATE_ID         H2_ENCODE_ERR(M_viam      , 11)
#define S_viam_NO_SUCH_DEVICE       H2_ENCODE_ERR(M_viam      , 12)
#define S_viam_FILE_IO              H2_ENCODE_ERR(M_viam      , 13)
#define S_viam_NOT_CALIBRATED       H2_ENCODE_ERR(M_viam      , 14)
#define S_viam_CALIBRATING          H2_ENCODE_ERR(M_viam      , 15)
#define S_viam_FEATURE_DISABLED     H2_ENCODE_ERR(M_viam      , 16)
#define S_viam_OPENCV               H2_ENCODE_ERR(M_viam      , 17)
#define S_viam_BAD_IMAGE_COUNT      H2_ENCODE_ERR(M_viam      , 18)
#define S_viam_IMAGE_GEOMETRY       H2_ENCODE_ERR(M_viam      , 19)
#define S_viam_NOT_CONFIGURED       H2_ENCODE_ERR(M_viam      , 20)
#define S_viam_ARRAY_SIZE           H2_ENCODE_ERR(M_viam      , 21)
#define S_viam_NO_SUCH_POM_FRAME    H2_ENCODE_ERR(M_viam      , 22)
#define S_viam_UNKNOWN_ERROR        H2_ENCODE_ERR(M_viam      , 23)
#define S_viam_NO_CAMERA            H2_ENCODE_ERR(M_viam      , 24)
#define S_viam_CONFIGURED           H2_ENCODE_ERR(M_viam      , 25)
#define S_viam_FWBUS                H2_ENCODE_ERR(M_viam      , 26)
#define S_viam_NO_DISPLAY_THREAD    H2_ENCODE_ERR(M_viam      , 27)


/* std errors */
#define S_viam_stdGenoM_ACTIVITY_INTERRUPTED       466609153   /* 7119<<16 | 0x8000 | 100<<8 | 1 */
#define S_viam_stdGenoM_TOO_MANY_ACTIVITIES        466609154   /* 7119<<16 | 0x8000 | 100<<8 | 2 */
#define S_viam_stdGenoM_ACTIVITY_FAILED            466609155   /* 7119<<16 | 0x8000 | 100<<8 | 3 */
#define S_viam_stdGenoM_WAIT_ABORT_ZOMBIE_ACTIVITY 466609156   /* 7119<<16 | 0x8000 | 100<<8 | 4 */
#define S_viam_stdGenoM_UNKNOWN_ACTIVITY           466609157   /* 7119<<16 | 0x8000 | 100<<8 | 5 */
#define S_viam_stdGenoM_FORBIDDEN_ACTIVITY_TRANSITION 466609158   /* 7119<<16 | 0x8000 | 100<<8 | 6 */
#define S_viam_stdGenoM_SYSTEM_ERROR               466609159   /* 7119<<16 | 0x8000 | 100<<8 | 7 */
#define S_viam_stdGenoM_ACTIVITY_ALREADY_ENDED     466609160   /* 7119<<16 | 0x8000 | 100<<8 | 8 */
#define S_viam_stdGenoM_WAIT_INIT_RQST             466609161   /* 7119<<16 | 0x8000 | 100<<8 | 9 */
#define S_viam_stdGenoM_CONTROL_CODEL_ERROR        466609162   /* 7119<<16 | 0x8000 | 100<<8 | 10 */
#define S_viam_stdGenoM_EXEC_TASK_SUSPENDED        466609163   /* 7119<<16 | 0x8000 | 100<<8 | 11 */
#define S_viam_stdGenoM_BAD_BLOCK_TYPE             466609164   /* 7119<<16 | 0x8000 | 100<<8 | 12 */
#define S_viam_stdGenoM_BAD_POSTER_TYPE            466609165   /* 7119<<16 | 0x8000 | 100<<8 | 13 */



/* static H2_ERROR[] */
#define VIAM_H2_ERR_MSGS {\
    {"UNSUPPORTED_HWMODE", 1}, \
    {"NO_SUCH_FILTER", 2}, \
    {"NOT_IMPLEMENTED", 3}, \
    {"INVALID_VALUE", 4}, \
    {"NO_SUCH_IMAGE", 5}, \
    {"NO_SUCH_CAMERA", 6}, \
    {"NO_SUCH_BANK", 7}, \
    {"BAD_ID", 8}, \
    {"MEMORY", 9}, \
    {"MODULE_RUNNING", 10}, \
    {"DUPLICATE_ID", 11}, \
    {"NO_SUCH_DEVICE", 12}, \
    {"FILE_IO", 13},\
    {"NOT_CALIBRATED", 14},\
    {"CALIBRATING", 15},\
    {"FEATURE_DISABLED", 16},\
    {"OPENCV", 17},\
    {"BAD_IMAGE_COUNT", 18},\
    {"IMAGE_GEOMETRY", 19},\
    {"NOT_CONFIGURED", 20},\
    {"ARRAY_SIZE", 21},\
    {"NO_SUCH_POM_FRAME", 22},\
    {"UNKNOWN_ERROR", 23},\
    {"NO_CAMERA", 24},\
    {"CONFIGURED", 25},\
    {"FWBUS", 26},\
    {"NO_DISPLAY_THREAD", 27},\
}

#ifdef __cplusplus
extern "C" {
#endif

extern int viamRecordH2errMsgs(void);

#ifdef __cplusplus
}
#endif


/*-------------------------- end file loading ---------------------------*/
#endif
